<template lang="pug">
.row.mx-1(v-if='loading')
  .col-12.pt-3.d-flex.justify-content-center
    span.alert.alert-secondary Fetching cameras list...
.row.mx-1(v-else-if='$butils.isEmpty(cameras)')
  .col-12.pt-3.d-flex.justify-content-center
    span.alert.alert-danger No cameras for zone #[em {{zone}}]
.row.x-camset.mx-1(v-else)
  CamCard(v-for='cam in cameras' :key='`${zone}_${cam.name}`'
          :title='cam.name' :description='cam.description'
          :src='`${$butils.currentUrl()}/cameras/${zone}/${cam.name}?closeOnError=false`'
          :useWS='true' :showFps='true')
</template>
<script src='./CamSet.vue.js' />
<style>
.x-camset {
  height: 100%;
}
</style>
